Skip to main content
`Ctrl`+`K`

# MatGetOptionsPrefix

Gets the prefix used for searching for all matrix options in the database.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOptionsPrefix(Mat A, const char *prefix[])

Not Collective

## Input Parameter

- A - the matrix

## Output Parameter

- prefix - pointer to the prefix string used

## Fortran Note

The user should pass in a string `prefix` of sufficient length to hold the prefix.

## See Also

Matrices, `Mat`, `MatAppendOptionsPrefix()`, `MatSetOptionsPrefix()`, `MatAppendOptionsPrefixFactor()`, `MatSetOptionsPrefixFactor()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages